# PolygonPoint class

Inheritance
  - Object
  - Point<num>
  - PolygonPoint
Annotations
  - @JsonSerializable(includeIfNull: false)

## Constructors

PolygonPoint.new(num x, num y)
PolygonPoint.fromJson(Map<String, dynamic> json)
  factory

## Properties

hashCode → int
  The hash code for this object.
  no setter inherited
magnitude → double
  Get the straight line (Euclidean) distance between the origin (0, 0) and this point.
  no setter inherited
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited
x → num
  final inherited
y → num
  final inherited

## Methods

distanceTo(Point<num> other) → double
  Returns the distance between `this` and `other`.
  inherited
noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
squaredDistanceTo(Point<num> other) → num
  Returns the squared distance between `this` and `other`.
  inherited
toJson() → Map<String, dynamic>
toString() → String
  A string representation of this object.
  inherited

## Operators

operator *(num factor) → Point<num>
  Scale this point by `factor` as if it were a vector.
  inherited
operator +(Point<num> other) → Point<num>
  Add `other` to `this`, as if both points were vectors.
  inherited
operator -(Point<num> other) → Point<num>
  Subtract `other` from `this`, as if both points were vectors.
  inherited
operator ==(Object other) → bool
  Whether `other` is a point with the same coordinates as this point.
  inherited